Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Controls.Pivot
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes

Namespace EventNamesHome
	Partial Public Class MainPage
		Inherits UserControl

		Public Sub New()
			InitializeComponent()

			' Initiatilize the WCF service with an async request for Azure data
			DemoItem.init()
		End Sub

		Private Sub Button_Click_1(ByVal sender As Object, ByVal e As RoutedEventArgs)
			' Build Pivot Viewer with data if the Azure data has been returned from the WCF service
			pViewer.ItemsSource = DemoItem.BuildData

			pViewer.ItemTemplates = New PivotViewerItemTemplateCollection From { CType(Resources("DemoTemplate"), PivotViewerItemTemplate) }
		End Sub
	End Class
End Namespace
